Name:              xmlsec1
Version:           1.2.38
Release:           1
Summary:           A C library based on LibXML2
License:           MIT
URL:               http://www.aleksey.com/xmlsec
Source0:           http://www.aleksey.com/xmlsec/download/xmlsec1-%{version}.tar.gz

BuildRequires:     pkgconfig(libxml-2.0) >= 2.8.0 pkgconfig(libxslt) >= 1.0.20  pkgconfig(openssl) >= 1.0.0
BuildRequires:     pkgconfig(nss) >= 3.11.1 pkgconfig(nspr) >= 4.4.1 libgcrypt-devel >= 1.4.0 libtool
BuildRequires:     pkgconfig(gnutls) >= 2.8.0 libtool-ltdl-devel autoconf automake gettext-devel

Provides:          xmlsec1-openssl xmlsec1-gcrypt xmlsec1-gnutls xmlsec1-nss
Obsoletes:         xmlsec1-openssl xmlsec1-gcrypt xmlsec1-gnutls xmlsec1-nss

%description
XMLSec library provides C based implementation for major XML Security standards. It is based on well known
LibXML, LibXSLT and OpenSSL libraries.

%package           devel
Summary:           Development required libraries
Requires:          %{name} = %{version}-%{release} openssl-devel >= 1.0.0

Provides:          xmlsec1-openssl-devel xmlsec1-gcrypt-devel xmlsec1-gnutls-devel xmlsec1-nss-devel
Obsoletes:         xmlsec1-openssl-devel xmlsec1-gcrypt-devel xmlsec1-gnutls-devel xmlsec1-nss-devel

%description       devel
This package contains the libraries and develop content for the xmlsec library.

%package_help

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static
%disable_rpath
%make_build V=1

sed 's+/lib64+/$archlib+g' < xmlsec1-config | sed 's+/lib+/$archlib+g' | sed 's+ -DXMLSEC_NO_SIZE_T++' > \
xmlsec1-config.$$ && mv xmlsec1-config.$$ xmlsec1-config

%install
%make_install

rm -rf __tmp_doc
install -d __tmp_doc
mv %{buildroot}%{_docdir}/xmlsec1/* __tmp_doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README.md Copyright
%{_bindir}/xmlsec1

%{_libdir}/*.so.*
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%files devel
%doc HACKING __tmp_doc/*
%{_bindir}/xmlsec1-config

%{_includedir}/xmlsec1/xmlsec/*

%{_libdir}/xmlsec1Conf.sh
%{_libdir}/pkgconfig/xmlsec1*.pc

%{_datadir}/aclocal/xmlsec1.m4

%files help
%{_mandir}/man1/*.1.*

%changelog
* Wed Jul 12 2023 dillon chen <dillon.chen@gmail.com> - 1.2.38-1
- update version to 1.2.38

* Tue Feb 07 2023 wangjunqi <wangjunqi@kylinos.cn> - 1.2.37-1
- update to 1.2.37

* Tue Sep 27 2022 dillon chen <dillon.chen@gmail.com> - 1.2.34-1
- update to 1.2.34

* Tue Dec 28 2021 panxiaohe <panxiaohe@huawei.com> - 1.2.33-1
- Update to version 1.2.33

* Thu Jul 08 2021 weidong <weidong@uniontech.com> - 1.2.31-2
- Move .so from devel to main package

* Tue Jan 26 2021 fuanan <fuanan3@huawei.com> - 1.2.31-1
- Update to version 1.2.31

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.2.29-1
- Update to 1.2.29

* Mon Dec 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.25-7
- Fix xmlSecParseMemory() memory leak

* Thu Sep 19 2019 dongjian <dongjian13@huawei.com> - 1.2.25-6
- Package init
